Bug 954014 - [abrt] redshift-1.7-3.fc18: org_freedesktop_Geoclue_MasterClient_set_requirements: Process /usr/bin/redshift was killed by signal 11 (SIGSEGV)
Summary: [abrt] redshift-1.7-3.fc18: org_freedesktop_Geoclue_MasterClient_set_requirem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redshift
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miloš Komarčević
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ae840f4ed1cc531bd8f070beb1b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-19 21:46 UTC by Martin
Modified: 2014-09-15 00:04 UTC (History)
3 users (show)

Fixed In Version: redshift-1.7-5.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-23 12:21:42 UTC


Attachments (Terms of Use)
File: backtrace (7.93 KB, text/plain)
2013-04-19 21:46 UTC, Martin
no flags Details
File: cgroup (129 bytes, text/plain)
2013-04-19 21:46 UTC, Martin
no flags Details
File: core_backtrace (519 bytes, text/plain)
2013-04-19 21:46 UTC, Martin
no flags Details
File: dso_list (2.49 KB, text/plain)
2013-04-19 21:47 UTC, Martin
no flags Details
File: environ (3.08 KB, text/plain)
2013-04-19 21:47 UTC, Martin
no flags Details
File: limits (1.29 KB, text/plain)
2013-04-19 21:47 UTC, Martin
no flags Details
File: maps (12.30 KB, text/plain)
2013-04-19 21:47 UTC, Martin
no flags Details
File: open_fds (224 bytes, text/plain)
2013-04-19 21:47 UTC, Martin
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-04-19 21:47 UTC, Martin
no flags Details
File: var_log_messages (404 bytes, text/plain)
2013-04-19 21:47 UTC, Martin
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 888661 None None None Never

Description Martin 2013-04-19 21:46:50 UTC
Description of problem:
Executing redshift without parameter "-l".

Version-Release number of selected component:
redshift-1.7-3.fc18

Additional info:
backtrace_rating: 4
cmdline:        redshift
crash_function: org_freedesktop_Geoclue_MasterClient_set_requirements
executable:     /usr/bin/redshift
kernel:         3.8.7-201.fc18.x86_64
uid:            1000
ureports_counter: 12
xsession_errors: 

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 org_freedesktop_Geoclue_MasterClient_set_requirements at gc-iface-master-client-bindings.h:32
 #1 geoclue_master_client_set_requirements at geoclue-master-client.c:357
 #2 location_geoclue_start at location-geoclue.c:62
 #3 provider_try_start at redshift.c:453

Comment 1 Martin 2013-04-19 21:46:53 UTC
Created attachment 737773 [details]
File: backtrace

Comment 2 Martin 2013-04-19 21:46:56 UTC
Created attachment 737774 [details]
File: cgroup

Comment 3 Martin 2013-04-19 21:46:58 UTC
Created attachment 737775 [details]
File: core_backtrace

Comment 4 Martin 2013-04-19 21:47:00 UTC
Created attachment 737776 [details]
File: dso_list

Comment 5 Martin 2013-04-19 21:47:02 UTC
Created attachment 737777 [details]
File: environ

Comment 6 Martin 2013-04-19 21:47:05 UTC
Created attachment 737778 [details]
File: limits

Comment 7 Martin 2013-04-19 21:47:07 UTC
Created attachment 737779 [details]
File: maps

Comment 8 Martin 2013-04-19 21:47:09 UTC
Created attachment 737780 [details]
File: open_fds

Comment 9 Martin 2013-04-19 21:47:11 UTC
Created attachment 737781 [details]
File: proc_pid_status

Comment 10 Martin 2013-04-19 21:47:13 UTC
Created attachment 737782 [details]
File: var_log_messages

Comment 11 clemens.riemenschneider 2013-05-12 14:25:22 UTC
I tryed to start redshift on the command line. 

backtrace_rating: 4
cmdline:        redshift
crash_function: org_freedesktop_Geoclue_MasterClient_set_requirements
executable:     /usr/bin/redshift
kernel:         3.8.11-200.fc18.i686
package:        redshift-1.7-3.fc18
reason:         Process /usr/bin/redshift was killed by signal 11 (SIGSEGV)
uid:            0
ureports_counter: 1
xsession_errors:

Comment 12 Miloš Komarčević 2013-05-13 10:12:15 UTC
Seems this was already reported upstream as well, backporting the fix from trunk:

http://bazaar.launchpad.net/~jonls/redshift/trunk/revision/165/src/location-geoclue.c#src/location-geoclue.c

Comment 13 Miloš Komarčević 2013-05-13 10:19:52 UTC
Also suggest running geoclue-test-gui to see why the default provider doesn't work. Might need to add your entries on hostip.info website.

Comment 14 Fedora Update System 2013-05-13 10:27:09 UTC
redshift-1.7-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/redshift-1.7-5.fc18

Comment 15 Fedora Update System 2013-05-13 10:27:21 UTC
redshift-1.7-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/redshift-1.7-5.fc17

Comment 16 Fedora Update System 2013-05-13 10:27:35 UTC
redshift-1.7-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/redshift-1.7-5.fc19

Comment 17 Fedora Update System 2013-05-13 15:02:11 UTC
Package redshift-1.7-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redshift-1.7-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8028/redshift-1.7-5.fc19
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2013-05-23 12:21:42 UTC
redshift-1.7-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-05-23 12:50:25 UTC
redshift-1.7-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2013-05-24 20:31:40 UTC
redshift-1.7-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.